summaryrefslogtreecommitdiff
path: root/install.sh
diff options
context:
space:
mode:
authorElizabeth Alexander Hunt <me@liz.coffee>2026-07-11 12:59:53 -0700
committerElizabeth Alexander Hunt <me@liz.coffee>2026-07-11 12:59:53 -0700
commit65f13215165cdc7768046235983cdb812bb00a33 (patch)
treee88962b266d3b94564cb497ec7b6aa798c262bdf /install.sh
downloadkeys-65f13215165cdc7768046235983cdb812bb00a33.tar.gz
keys-65f13215165cdc7768046235983cdb812bb00a33.zip
Initial commit
Diffstat (limited to 'install.sh')
-rwxr-xr-xinstall.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/install.sh b/install.sh
new file mode 100755
index 0000000..ca4f86f
--- /dev/null
+++ b/install.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+set -eo pipefail
+
+sudo cp sshd_config /etc/sshd_config
+
+HOME=$(getent passwd "$USER" | cut -d: -f6)
+mkdir -p "$HOME/.local/bin/"
+cp refresh_keys.sh "$HOME/.local/bin"
+
+JOB="17 * * * * $HOME/.local/bin/refresh_keys.sh"
+( crontab -l 2>/dev/null | grep -vF 'replace.sh'; echo "$JOB" ) | crontab -
+